Public Member Functions | Public Attributes | List of all members
libzmf::Curve Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| Curve ()

## Public Attributes
std::vector< Point > | points
std::vector< CurveType > | sectionTypes
bool | closed

## Constructor & Destructor Documentation

## ◆ Curve()

libzmf::Curve::Curve | ( |  | ) |
| inline

## Member Data Documentation

## ◆ closed

bool libzmf::Curve::closed

Referenced by libzmf::ZMFCollector::collectPolygon(), libzmf::ZMF4Parser::readBoundingBox(), and libzmf::ZMF4Parser::readRectangle().

## ◆ points

std::vector<Point> libzmf::Curve::points

Referenced by libzmf::ZMFCollector::collectPolygon(), libzmf::ZMF4Parser::readBoundingBox(), libzmf::ZMF4Parser::readPolygon(), and libzmf::ZMF4Parser::readRectangle().

## ◆ sectionTypes

std::vector<CurveType> libzmf::Curve::sectionTypes

Referenced by libzmf::ZMFCollector::collectPolygon(), libzmf::ZMF4Parser::readBoundingBox(), libzmf::ZMF4Parser::readPolygon(), and libzmf::ZMF4Parser::readRectangle().

The documentation for this struct was generated from the following file:

- ZMFTypes.h